<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00008000HabilidadePessoalFactory {
    
    protected $connection;
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function validacao($habilidade, $parceiros, $nrorg) {
        $sql = "SELECT COUNT(*) AS EXISTE
                  FROM FCT_RELACHABILIPESSOA
                 WHERE CDHABILITSERV  = :CDHABILITSERV
                   AND NRPARCNEGOCIO IN (" .$parceiros. ")
                   AND NRORG          = :NRORG"; //query com $parceiros ja trabalhada no service
        
        $params = array(
            "CDHABILITSERV" => $habilidade,
            "NRORG" => $nrorg
        );
        
        $consulta = $this->connection->prepare($sql);// consulta recebe o SQL deṕois de preparado
        $consulta->execute($params);// Cosulta ja com o sql preprado execulta com os paramentros
        return $consulta->fetchAll();// neste momento o metodo fechAll retorna um array de acordo com a consulta para o metodo chamador service.
    }
}

?>